HinfoFTP

Začínáme s aplikací Hnet Info FTP klient

Hnet Info FTP klient je diskový manažer pro systém Windows(r) a slouží též k práci se soubory na hostitelském počítači pomocí protokolu FTP. Tato nápověda obsahuje bližší informace k používání FTP klienta.

  • Uživatelské prostředí
  • Klávesové zkratky
  • Seznam funkcí (menu)
  • Funkce rolovacích menu
  • Drag & Drop

    • Technické údaje

  • Verze: 1.0.2
  • Rok: 2002
  • Velikost spustitelné aplikace: cca 1.5 MB

    • Poznámka

    Windows(r) je definovaná ochranná známka firmy Microsoft.


Uživatelské prostředí

Aplikační okno Hnet Info FTP se skládá z následujících částí:

  • Levé a pravé okno pro výpis obsahu zvoleného adresáře. V těchto oknech se zobrazují názvy souborů a složek ve zvoleném adresáři, ke každému souboru se na stejném řádku zobrazuje jeho velikost, datum vytvoření a atributy.

  • Okno tabulek vlastností - obsahuje čtyři tabulky, které zobrazují přenosové a stavové informace. Přenos sem, Přenos tam, Vlákna, Fronta.

  • Panel se zobrazením cest - nad oknem pro výpis obsahu adresáře se zobrazuje cesta k aktuálnímu adresáři. Pokud je tato cesta vypsána tučným písmem, má okno pod ní fokus. V opačném případě lze kliknout na tuto cestu, čímž se okno pod cestou zaktivní. Nalevo od vypsaných cest se nachází tlačítko zobrazující server či disk, na němž se nachází vypisovaný adresář. Po jeho stisknutí se zobrazí seznam přístupných disků a napojených serverů. Napravo se nachází postupně tři tlačítka, která slouží pro změnu adresáře (krok zpět, zpět ke kořenu adresáře a přímý výběr libovolného adresáře).

  • Stavový řádek - obsahuje sedm kolonek, které informujií uživatele o základních operacích a stavu aplikace. V první je písmeno disku v aktivním okně výpisu adresáře a velikost volného místa, v druhém přesunovaný soubor, ve třetí již proběhlý čas přenosu, ve čtvrté přibližný zbývající čas přenosu, v páté množství procent již přenesených dat, v šesté IP adresa počítače a v poslední kolonce je momentální čas. Pokud není u přenášení souborů v kartě Vlákna označen žádný řádek, zobrazuje se ve stavovém řádku soubor přenášený v prvním pracovním vlákně. V opačném případě se zobrazuje přenášený soubor zvoleného vlákna

  • Okno internetových volání - zde se vypisují všechna zpětná volání, tj. všechny příkazy, které posílá klient napojenému serveru a odpovědi serveru hostitelského počítače. Po kliknutí levým tlačítkem myši do prostoru okna se objeví větší okno (s kompletním obsahem předchozího), které lze libovolně zvětšovat a je možno rolovat jeho obsah. Pokud zde klikneme pravým talčítkem myši, lze kopírovat označený text do schránky (clipboardu).

  • Panel nástrojů - umožňuje snadnější a rychlejší dostupnost některých funkcí FTP klienta.
  • Hlavní menu aplikace - obsahuje seznam funkcí menu FTP klienta

  • Tlačítková lišta - obsahuje tlačítka pro aktivaci základní funkcí FTP klienta (editace souborů, kopírování, přesun, vytvoření adresáře, přejmenování a odstranění souboru nebo složky a konec aplikace).

  • Příkazový řádek - slouží pro přímé zadávání příkazů systému Windows(r). Pokud je políčko "Zavřít shell" zaškrtnuté, po zadání příkazu se příkazové okno Windows okamžitě zavře. V opačném případě okno zůstane na obrazovce a je možné si prohlédnout výsledky zadaného příkazu.


Klávesy

Klávesové zkratky

Ctrl + A - vybrat vše
Ctrl + C - přímý příkaz
Ctrl + D - odpojení
Ctrl + F - nové připojení
Ctrl + G - zpět ke kořeni
Ctrl + L - povolení logování
Ctrl + M - porovnání adresářů
Ctrl + N - spustit FTP s novým připojením
Ctrl + P - vytisknutí obsahu adresáře
Ctrl + Q - přidat výběr do fronty
Ctrl + R - obnovit výpis
Ctrl + S - změnit adresář
Ctrl + T - změna atributů
Ctrl + W - připojovací pomocník
Ctrl + X - ukončení aplikace
Ctrl + F9 - porovnání adresářů

Alt + F - vyhledávač souborů
Alt + P - spuštění interní aplikace Ping/Trace
Alt + T - spuštění standardní aplikace Telnet
Alt + V - přepínání viditelnosti nejlevějšího okna s FTP informacemi.
Alt + F1 - aktivace levého okna
Alt + F2 - aktivace pravého okna
Alt + F5 - komprimace
Alt + F7 - hledání souboru
Alt + F9 - dekomprimace

Ctrl + Shift + E - kódování souboru
Ctrl + Shift + D - dekódování souboru
Shift + Alt + F9 - test archivu
Ctrl + Enter - zkopírování názvu souboru nebo adresáře, na němž je aktivní kurzor jednoho z oken výpisů adresářů, do příkazové řádky.
Shift + Šipky - aktivace příkazového řádku

F1 - o aplikaci Hnet Info FTP klient
F2 - oblíbené položky
F4 - editovat soubor
F5 - kopírování souborů
F6 - přesun souborů
F7 - vytvoření nový adresář
F8 - smazání souborů a adresářů
F9 - přejmenovat soubor nebo adresář
F10 - přímý příkaz

TAB - přepnutí fokusu oken s výpisy obsahu adresáře
SPACE - u lokálního adresáře se zobrazí standardní dialog Windows s výpisem vlastností souborů, u vzdáleného adresáře se objeví Hnet Info FTP dialog se zobrazením vlastností souborů

* - označí se všechny řádky v aktivním okně výpisu
+ - zobrazí se dialog pro upřesnění výběru souborů a složek
Insert - označí zvolený řádek a posune fokus (kurzor) na řádek následující, aniž by se odznačily již označené řádky


Menu

Položky menu

Menu aplikace FTP klienta obsahuje následující položky:

Soubor

  • Nastavení tisku - nastavení tiskárny, velikosti papíru apod.
  • Tisk - vytiskne aktivní okno s obsahem aktuálního adresáře
  • Kódovat soubor - umožní zakódovat soubor
  • Dekódovat soubor - umožní dekódovat soubor
  • Komprimovat soubory - umožní komprimaci souborů
  • Dekomprimovat soubory - umožní dekomprimaci souborů
  • Test archivu - slouží pro otestování ZIP archivu
  • Konec - ukončí aplikaci Hnet Info FTP klient

    • Místní

  • Zobrazit obsah souboru- po označení souboru (ne adresáře) a vybráním této položky se objeví standardní editor systému, ve kterém je obsažen výpis obsahu souboru.
  • Přejmenovat - slouží k přejmenování vybraného souboru nebo adresáře. Pokud je vybráno více řádků, aplikace se bude postupně dotazovat na všechny položky, které má přejmenovat.
  • Vytvořit adresář - umožňuje vytvořit adresář v aktivním okně místního výpisu adresáře.
  • Odstranit - odstraní z disku všechny vybrané soubory nebo adresáře (v tomto případě se odstraní kompletní jeho obsah ).
  • Vybrat vše - označí všechny položky v aktivním okně.
  • Invertovat výběr - označí se všechny řádky, které nebyly označené, zbytek se odznačí.
  • Otevřít průzkumníka - otevře průzkumníka MS Windows, přičemž se v něm automaticky nastaví aktuální adresář aktivního okna
  • Změnit adresář - tato volba otevře dialog se stromovou strukturou adresářů celého počítače. Označením libovolné složky a kliknutím na OK se obsah tohoto adresáře zobrazí v aktuálním okně. Pomocí této možnosti lze také přímo nastavit adresář Dokument pro daného uživatele apod.
  • Příkazové okno - spustí příkazovou řádku systému, rovněž se automaticky nastaví cesta k a ktuálnímu adresáři v aktivním okně.
  • Vlastnosti - tato položka otevře dialog s obsahem velikosti zvolených souborů a adresářů.

    • Vzdálený

  • Připojit - slouží k připojení ke vzdálenému počítači.
  • Oblíbené položky - umožní zobrazení dialogu s obsahem uložených oblíbených položek.
  • Odpojit - provede odpojení od vzdáleného počítače. Odpojení se provádí pro server, který je aktivní v pravém okně, pokud je toto lokální, provede se odpojení serveru na levé straně. V případě, že jsou obě okna lokální, provádí se odpojování postupně od konce seznamu připojených serverů.
  • Prohlédnout soubor - po označení souboru (ne adresáře) a vybráním této položky dojde ke stažení tohoto souboru a pak se objeví standardní editor systému, ve kterém je obsažen výpis jeho obsahu. Pokud uživatel změní tento obsah a pak jej uloží, je toto rozpoznáno a objeví se dotaz, zda uživatel chce tento soubor upravit i na vzdáleném počítači.
  • Přejmenovat - slouží k přejmenování vybraného souboru nebo adresáře. Pokud je vybráno více řádků, aplikace se bude postupně dotazovat na všechny položky, které má přejmenovat.
  • Vytvořit adresář - umožňuje vytvořit adresář v aktivním okně místního výpisu adresáře.
  • Odstranit - odstraní všechny vybrané soubory nebo adresáře (v tomto případě se odstraní kompletní jeho obsah ).
  • Vybrat vše - označí všechny položky v aktivním okně.
  • Invertovat výběr - označí se všechny řádky, které nebyly označené, zbytek se odznačí.
  • Změnit adresář - tato volba otevře dialog se stromovou strukturou adresářů. Označením libovolné složky a kliknutím na OK se obsah tohoto adresáře zobrazí v aktuálním okně. Zjišťování obsahu adresářů lze pozastavit tlačítkem "Stop".
  • Vlastnosti - tato položka otevře dialog s obsahem velikosti zvolených souborů a adresářů.
  • Přímý příkaz - objeví se dialog pro editaci a posílání příkazů FTP serveru.
  • Změnit atributy - zobrazí dialog pro změnu atributů vzdáleného souboru.

    • Příkazy

  • Kopírovat - provádí kopírování zvolených souborů z aktivního okna do okna vedlejšího. Pokud jedno z oken obsahuje výpis adresáře vzdáleného počítače, provede se přenos souborů z nebo na tento vzdálený počítač. V případě, že obě okna obsahují výpis vzdálených počítačů, provede se přenos souborů mezi nimi (provede se stažení souborů do adresáře Temp a pak zaslání těchto souborů na cílový server.)
  • Přesunout - podobné jako kopírování, jen se navíc provede smazání souboru v aktivním okně (na lokálním počítači nebo serveru).
  • Porovnat adresáře - porovná obsah adresářů, v aktivním okně se označí všechny řádky, které nejsou v okně vedlejším.
  • Hledat soubor - otevře dialog pro vyhledávání souborů.
  • Obnovit - provede obnovení obsahu okna pro výpis souborů v daném adresáři.
  • Jít ke kořeni - nastaví cestu do kořenového adresáře a vypíše jeho obsah.
  • FTP Připojení
  • Typ přenosu - nastaví typ přenosu souborů. Pokud je nastaveno AUTO, budou se přenášet soubory jako ASCII, pokud mají příponu uvedenou v kartě nastavení - různé. V opačném případě se souboru přenášejí jako binární.
  • Připojit síťovou jednotku - spustí standardní Windows dialog pro připojení síťových jednotek
  • Odpojit síťovou jednotku - spustí standardní Windows dialog pro odpojení síťových jednotek
  • Sdílení - spustí standardní Windows dialog pro vlastnost adresáře, kde v kartě sdílení lze nastavit vlastnosti pro sdílení požadovaného adresáře
  • Nastavit název disku - umožní změnit název disku
  • Zobrazit FTP okno - slouží k přepínaná viditelnosti nejlevějšího okna s FTP informacemi

    • Fronta

  • Přidat do fronty - viz. fronta
  • Editovat spouštěcí čas - umožní editovat čas, kdy se má vybraný soubor přenést.
  • Odstranit vybraný řádek - odstraní vybraný soubor (v kartě fronty) ze seznamu.
  • Vyčistit frontu - odstraní všechny soubory z fronty.
  • Uložit frontu - uloží obsah fronty na disk počítače.
  • Nahrát frontu - načte obsah fronty z disku počítače.

    • Nástroje

  • Připojovací pomocník - spustí dialog připojovacího pomocníka, který uživatele snadno provede všemi kroky, potřebnými k připojení ke vzdálenému počítači.
  • Spustit Telnet - spustí standardní Telnet systému MS Windows.
  • Spustit Ping/Trace - spustí se interní aplikace Ping/Trace
  • Spustit vyhledávač souborů - spustí se Internetový vyhledávač souborů.
  • Spustit nástroj multipřejmenování - spustí se nástroj pro hromadné přejmenování souborů.
  • Povolit log soubor - povolí se ukládání všech logovacích informací (informace o připojování a přenosu souborů).
  • Vyčistit log soubor - vymaže se obsah logovacího souboru.
  • Změnit cestu k log souboru - umožní změnit jméno a cestu k logovacímu souboru.
  • Nastavení - spustí tabulky vlastností pro nastavení některých parametrů FTP klienta.
  • Filtr - otevře dilog pro aplikaci filtru.
  • Změnit jazyk - umožní změnit jazyk celé aplikace. Aplikace musí být pak ukončena, aby se změna jazyka projevila.


Connect - login information

Připojení k hostitelskému počítači

Tento dialog slouží k připojení ke vzdálenému počítači. Obsahuje tři karty vlastností, které umožňují nastavení potřebná nebo vhodná pro danné přihlášení. Obsah implicitního adresáře u připojeného serveru se vždy zobrazí v pravém okně výpisu adresářů.

V první kartě je nutné zadat adresu hostitelského počítače, toto editační pole obsahuje seznam všech adres (a uživatelů s hesly), které byly dříve v tomto dialogu vyplňovány. Do dalších polí se zadává jméno uživatele a jeho heslo. Pokud vzdálený počítač umožňuje anonymní přihlášení, lze toto zadat zaškrtnutím políčka "Anonym".

V kartě "Pokročilé nastavení" se zadávají cesty k adresářům, které mají být po připojení implicitně nastaveny. V případě místního adresáře lze požadovanou cestu vybrat v adresářovém stromu po stisku talčítka "...". Dále je možné zadat FTP port k požadovanému serveru (implicitně je nastaveno na 21) a lze zaškrtnout použití serveru proxy podle nastavení proxy serveru.

V poslední kartě lze nastavit počet pokusů při nepovedeném přihlašování (nelimitováno - přihlašování se provádí stále až do prvního přihlášení, pouze jednou - je nastaven jen jeden pokus k přihlášení, limitováno - v editačním poli lze nastavit počet pokusů k přihlášení přímo.) a přihlašovací čas. Pokud není povolen, provádí se přihlašování ihned, v opačném případě se provede přihlášení v nastaveném čase.


Bookmarks

Oblíbené položky

Tento dialog slouží k editování oblíbených položek a k připojování ke vzdáleným počítačům. Přidat oblíbenou položku lze pomocí tlačítka "Přidat oblíbené", uživatel bude poté dotázán na název vkládané položky a pak se objeví dialog stejný jako dialog pro připojení ke vzdálenému počítači. Veškeré údaje po uzavřebí dialogu se uloží do přidávané oblíbené položky.
Oblíbené položky je možné ukládat a načítat z disku počítače pomocí tlačítek "Export oblíbených" a "Import oblíbených". Při stisku tlačítka "Připojení" dojde k připojení k vybranému serveru (oblíbené položce).


Custom command

Přímé příkazy

Tento dialog slouží k posílání a definování příkazů vzdálenému FTP serveru. Pole příkazů obsahuje implicitně předdefinované příkazy, které lze editovat. Lze rovněž přidat nový příkaz, a to tak, že stiskneme tlačítko "Přidat příkaz", zvolíme návěští (zobrazí se v seznamu příkazů) a pak text příkazu. Tento text může obsahovat libovolný řetězec, který FTP server akceptuje jako příkaz, dále lze zadat následující výrazy:
  • %f - v konečném příkazu se tato kombinace nahradí jménem souboru, který byl před spuštěním dialogu vybrán; lze mít v příkazu i několik těchto výrazů
  • %[text] - text je řetězec, který se objeví při dotazu pro vložení textu od uživatele a zároveň se tato kombinace nahradí zadaným řetězcem.

    • Např.
    site chmod %[Access Mask] %f
    Zobrazí se dialog pro zadání textu (Access Mask). Pokud například napíšeme rw, při předchozím zvolení souborů soub1 a soub2 se serveru odešle:
    site chmod rw soub1
    site chmod rw soub2

    Rovněž lze poslat příkaz bez přidávání do seznamu, a to tak, že se řetězec příkazu napíše do pole "Příkaz" a poté se stiskne "Poslat Příkaz".


Queue

Fronta

Fronta slouží k plánování přenosů souborů, tj. nastavení času, kdy se má daný soubor přenášet z nebo do počítače. Její obsah je zobrazen v kartě fronty. Všechny funkce, které lze u fronty použít, jsou k dispozici v položce menu Fronta.

  • Přidání souboru do fronty - lze provést buď označením požadovaných souborů v okně pro výpis vzdáleného adresáře a kliknutím na "Přidat do fronty" nebo přetažením požadovaných souborů do karty Fronta.

    Po zvolení funkce pro přidání souborů do fronty se objeví dialog Časovač fronty. Obsahuje aktuální čas a editační pole pro výběr času a data, kdy se má daný soubor přenést do počítače. Nastavený čas musí být větší, než čas aktuální, v opačném případě nedojde ke spuštění přenosu souboru.

  • Po vybrání určitého řádku (souboru) lze tento řádek smazat nebo změnit jeho spouštěcí čas, při kterém se objeví stejný dialog, jako v předchozím případě. Rovněž lze smazat celý obsah fronty, a to položkou "Vyčistit frontu".
  • Obsah fronty lze také ukládat a nahrávat z disku počítače. Soubory s obsahem fronty mají vždy příponu *.qeu.


File finder

Internetový vyhledávač souborů

Hnet Info FTP klient umožňuje vyhledávat soubory přímo na Internetu, a to s využitím vyhledávacích algoritmů některých serverů.
Vyhledávání se provádí tak, že do editačního pole "Hledaný soubor" vepíšeme název hledaného souboru, vybereme typ (zda se jedná o hudební mp3 soubor nebo soubor jiného typu), pak označíme zobrazené servery (podle toho, který vyhledávač chceme použít). Poté se zaktivní některé položky, pomocí nichž můžeme upřesnit požadavky. Každý server obsahuje různý počet upřesnění. Pokud je třeba použít HTTP proxy, je nutné zaškrtnout políčko "Použít prox.". Následně se zaktivní příslušná pole, které mohou případně obsahovat údaje, vložené do nastavení - HTTP proxy. Pak stačí stisknout tlačítko "Najít". Vyhledávání lze zastavit tlačítkem "Stop". Výsledky vyhledávání se zobrazují v dolním seznamu, stav a chyby hledání se zobrazují v poli "Status:".
Pokud se chceme připojit k nalezenému serveru a provést výpis nalezeného adresáře, stačí označit vybraný řádek a pak stisknout tlačítko "Připojit" nebo dvakrát kliknout na zvolený řádek.


Menu

Rolovací menu

Po kliknutí pravým tlačítkem myši nad oknem výpisu obsahu adresáře se objeví rolovací menu, jehož obsah závisí na tom, zda se jedná o výpis lokálního (zde první menu) nebo vzdáleného (zde druhé menu) adresáře. Jednotlivé položky v těchto menu jsou stejné, jako v hlavním menu aplikace. Jedinou položkou navíc je "Setřídit podle", pomocí níž lze zvolit, podle kterého kritéria se bude provádět třízení seznamu s obsahem adresáře (tj. zda podle jména, data nebo velikosti).


Drag & Drop

Drag & drop se provádí kliknutím levého tlačítka myši, jeho podržením, přetažením kurzoru do jiného okna a následným puštěním tlačítka. Pokud se při přesunu myši objeví kurzor v podobě přeškrtnutého kruhu, znamená to, že dané okno neakceptuje akci drop.
Drag & drop lze provést mezi okny s výpisem adresáře (provede se kopírování souboru) nebo mezi oknem serveru a kartou fronty (uloží se vybrané soubory do seznamu fronty)


Setup

Nastavení FTP klienta

Hnet Info FTP klient umožňuje nastavení několika základních atributů, a to v položce Nastavení. Při výběru této funkce se zobrazí dialog, který obsahuje následující karty:
  • Připojení
  • Firewall
  • HTTP proxy
  • Různé
  • Archivátory - 1
  • Archivátory - 2


Připojení

Nastavení FTP klienta - připojení

  • Ukončení připojení za - nastavuje dobu připojení. Po uplynutí této doby FTP klient provede odpojení od hostitelského počítače. Pokud je hodnota nastavena na nulu, je doba připojení nekonečná.
  • Délka nečinnosti u přenosů - pokud je přenos souboru pozastaven, začne se počítat délka jeho nečinnosti. Jakmile doba překročí tuto nastavenou, dojde k ukončení přenosu celého vlákna.
  • Délka mezi přihlašovacími pokusy - doba mezi neúspěšnými pokusy připojení.
  • Počet přihlašovacích pokusů - nastaví, kolikrát se má systém pokoušet připojit.


Firewall

Nastavení FTP klienta - firewall

Tato karta umožňuje nastavit firewall. Firewall nebo proxy server slouží k ochraně sítě před neautorizovaným přístupem zvenčí. Pokud si nejste jist správným nastavením, obraťte se na svého správce sítě. Zvolte druh firewallu (a nebo nepoužívat) a pak vyplňte povolená editační pole (adresa serveru, uživatele, heslo a port).


HTTP proxy

Nastavení FTP klienta - HTTP proxy

V této kartě lze nastavit HTTP proxy server, podobně jako v kartě předchozí. Je třeba zaškrtnou políčko "Použít HTTP proxy" a pak vyplnit potřebné informace (název HTTP proxy serveru, jméno uživatele, heslo a port). Nastavení HTTP proxy serveru se používá u internetového vyhledávače souborů.


Miscellaneous

Nastavení FTP klienta - různé

  • Pokud je typ přenosu nastaven na "Auto", používá se typ ASCII pro přenos souborů s příponou v tomto editačním poli. V opačném případě se používá binární typ. Formát řetězce je .ext.ext ... ext., kde ext je přípona přenášeného souboru. Standardně je nastaveno .txt.dat.htm.html.nfo. Důležité je umístění tečky na začátek a konec řetězce.
  • Lze též nastavit počet maximálních přihlašovacích pokusů fronty.
  • V této kartě zle také nastavit zvukové signály pro některé události FTP klienta. Lze to provést zaškrtnutím políčka vybrané události a pak zadáním cesty k zvukovému souboru wav do editačního pole. Vedlejším tlačítkem se otevře dialog pro zvolení zvukového souboru.


Atributy souborů

Atributy souborů a adresářů

  • Atributy pro lokální výpis adresáře - výpis je ve tvaru rahs, kde r znamená, že soubor je určen pouze pro čtení, a značí archivovaný soubor, h je u skrytých souborů a s jsou pouze systémové soubory. Pokud je některý atribut u souborů neaktivní, je nahrazen pomlčkou.
  • Atributy pro výpis vzdáleného adresáře - jsou závislé na systému, ve kterém běží zvolený FTP server. Většinou se jedná o tvar drwxrwxrwx, kde d značí adresář, rwx náleží buď uživateli, skupině nebo ostatním. r znamená, že soubor lze číst, w slouží k zápisu a x ke spuštění.


Přenos sem

Okno tabulek vlastností - přenos sem

Tato karta slouží ke zobrazování všech souborů, které se přenášejí na disk lokálního počítače. Zobrazuje se jméno přenášeného souboru, jeho stav (chyba, ukončení či procenta přeneseného množství) a přibližný čas, který zbývá do přenesení celého souboru. V závorce se vypisuje přibližná rychlost přenosu, v megabytech za sekundu.

Po označení zvoleného souboru a kliknutí na toto tlačítko se ukončí stahování vybraného souboru. Pokud je stahováno více souborů v jednom vlákně najednou, není tento přenos kompletně ukončen.

Po označení zvoleného souboru a kliknutí na toto tlačítko se ukončí stahování vybraného souboru. Pokud je stahováno více souborů v jednom vlákně najednou, je ukončen přenos celého vlákna.

Tímto tlačítkem dojde k vyčištění celého seznamu do počítače přenášených souborů. Pokud je některý přenos aktivní, nelze seznam vymazat.


Přenos tam

Okno tabulek vlastností - přenos tam

Tato karta slouží ke zobrazování všech souborů, které se přenášejí na disk vzdáleného počítače. Zobrazuje se jméno přenášeného souboru, jeho stav (chyba, ukončení či procenta přeneseného množství) a přibližný čas, který zbývá do přenesení celého souboru. V závorce se vypisuje přibližná rychlost přenosu, v megabytech za sekundu.

Po označení zvoleného souboru a kliknutí na toto tlačítko se ukončí přenos vybraného souboru. Pokud je přenášeno více souborů v jednom vlákně najednou, není tento přenos kompletně ukončen.

Po označení zvoleného souboru a kliknutí na toto tlačítko se ukončí přenos vybraného souboru. Pokud je přenášeno více souborů v jednom vlákně najednou, je ukončen přenos celého vlákna.

Tímto tlačítkem dojde k vyčištění celého seznamu do počítače přenášených souborů. Pokud je některý přenos aktivní, nelze seznam vymazat.


Threads

Okno tabulek vlastností - vlákna

Tato karta slouží ke zobrazování všech běžících vláken, tj právě aktivního hostitele, jehož obsah adresáře je vypisován a přenosů všech souborů. Každý řádek obsahuje název hostitelského počítače, v jakém je stavu (přenos tam či zpět) a dobu nečinnosti, tj. dobu, po kterou není serveru posílán žádný FTP příkaz.

Po označení zvoleného vlákna a kliknutí na toto tlačítko se ukončí přenos všech souborů v tomto vlákně.

Po označení vybraného pracovního vlákna přenosu (tam či sem) a kliknutím na toto tlačítko se pozastaví přenos souborů. Okamžitě se začne vypisovat doba nečinnosti tohoto vlákna.

Po označení zvoleného pracovního vlákan přenosu, které bylo pozastaveno, lze tímto tlačítkem v přenosu opět pokračovat.


Queue

Okno tabulek vlastností - fronta

Tato karta slouží ke zobrazování stavu a obsahu fronty. V každém řádku se zobrazuje jméno hostitelského počítače, název souboru, jeho velikost a stav, ve kterém je daný soubor (čekání na aktivaci apod.)

Toto tlačítko umožní nahrát obsah fronty z disku počítače.

Toto tlačítko umožní uložit obsah fronty na disk počítače.

Toto tlačítko vymaže všechny řádky z karty fronty.

Po vybrání určitého souboru (řádku) a stisknutím tohoto tlačítka lze změnit spouštěcí čas daného souboru, tj. čas, kdy se soubor začne přenášet.


Available discs

Seznam přístupných disků

V zobrazeném dialogu se vypíše seznam všech disků, které jsou přístupny. Při vstupu je označen řádek s obsahem disku, v němž je aktuální adresář. Poslední položky v seznamu jsou všechny servery, ke kterým je uživatel připojen. Na nejspodnějším řádku se může nacházet odkaz na poslední navštívené místo v síti Windows. Kliknutím na řádek dojde k přepnutí disku (či napojeného serveru) a k výpisu jeho obsahu. Uzavřít dialog bez vybrání disku lze stisknutím tlačítka "Storno".


Properties

Vlastnosti souborů a adresářů

Tento dialog slouží ke zobrazení velikosti a množství vybraných souborů. V horní části se vypisují cesty k adresářům (a vybraným souborům), pak se zobrazuje celková velikost zvolených adresářů a souborů. Ta je ukázána v několika velikostech - bytech, kilobytech, megabytech a gigabytech. Nejníže se zobrazuje počet souborů a adresářů (případně podadresářů), které se nacházely ve výběru.


Change attributes

Změna atributů

Tento dialog se objeví po zadání příkazu pro změnu atributů souborů nebo adresářů. Serveru se posílají práva souboru ve formátu drwxrwxrwx. Ne však každý FTP server akceptuje tento formát a příkaz nemusí fungovat. Pak lze poslat příkaz ve správném formátu pomocí položky menu "Přímý příkaz". Pro skupinu, uživatele nebo ostatní stačí zaškrtnout požadované položky, tlačítka "Vše" na pravé straně označí všechny atributy v příslušné skupině. Změna atributů se projeví u všech označených souborů nebo adresářů.


Hledání souborů

Tento dialog slouží k vyhledávání souborů na disku nebo vzdáleném počítači. Do pole "Hledat co" se zadá jméno hledaného souboru (případně se dá použít hvězdičková notace, např *.txt bude vyhledávat všechny soubory s příponou txt), pak může uživatel zadat upřesňující informace (dobu, kdy musel být soubor vytvořen nebo měněn, max. nebo min. velikost). U vyhledávání na lokálním počítači lze též hledat soubory s určitými atributy (políčko "Atributy").
V dolní části se nachází dvě tlačítka. První slouží pro vyhledávání souborů, které obsahují zadaný text. Tuto funkci lze aplikovat pouze na hledání na místním počítači. Po jeho stisknutí se objeví následující dialog pro zadání hledaného řetězce.

Při vyhledávání textu lze zaškrtnout několik voleb:
  • Rozlišit velikost písmen - při hledání textu se bere ohled na malá a velká písmena.
  • Najít soubory neobsahující text.
  • Pouze celá slova - při hledání se bere jako odpovídající soubor ten, který obsahuje zadaný řetězec jako samostatné slovo.

    • Druhé tlačítko slouží k načtení definice z disku, která obsahuje možnosti pro hledání souborů určitých typů s daným textem. Pokud je hledán soubor na vzdáleném počítači, lze zaškrtnout možnost pro hledání požadovaných souborů na pozadí.


Připojení

FTP Připojení

  • Spustit FTP s novým připojením - spustí se další aplikace Hnet Info FTP.
  • Spustit FTP s aktuálním připojením - spustí se další aplikace Hnet Info FTP, přičemž se provede automatické připojení ke vzdálenému počítači, který byl aktivní v předešlé aplikaci.
  • Přidat připojení do oblíbených položek - objeví se dialog se stromovou strukturou oblíbených položek, v tomto stromu označíme uzel, kam chceme položku vložit, zadáme její název a poté bude připojení uloženo do oblíbených položek.
  • Uložit místní cestu do oblíbených položek - pokud bylo připojení provedeno z oblíbených položek, uloží se do správné položky aktuální cesta k místnímu adresáři.
  • Uložit vzdálenou cestu do oblíbených položek - pokud bylo připojení provedeno z oblíbených položek, uloží se do správné položky aktuální cesta k vzdálenému adresáři.


Filtr

Tento dialog umožňuje nastavit potřebné parametry k filtrování souborů a adresářů, tj použití určitých souborů k různým operacím (výpis obsahu, přenos). Do pole "Vybraný soubor" se zadávají soubory, které chceme k operacím použít, do pole "Ignorovaný soubor" zadáváme soubory, které chceme při operacích ignorovat.

Např.
Chceme, aby se ve výpisu obsahu objevovaly pouze soubory s příponou *.cpp bez adresářů.
Přidáme tedy *.cpp, zaškrtneme políčka "Aplikovat filtr na výpis lokálního adresáře" a "Aplikovat filtr na složky".


(En)coding files

(De)kódování souborů

Tato funkce slouží ke kryptování, případně dekryptování zvolených souborů. Po aktivování se zobrazí dialog, který po zadání cílového místa a hesla zakryptuje (případně dekryptuje) požadovaný soubor. Pro spuštění operace je třeba použít tlačítko "Start". Po startu požadované akce již nelze dialog stornovat, je nutné počkat až do ukončení. Nicméně (de)kryptování probíhá na pozadí a v FTP aplikaci lze normálně pracovat. Pokud není stisknuto tlačítko "Start", lze dialog zavřít pomocí standardního tlačítka v pravé horní části okna.


Comprimation

Komprimace a dekomprimace souborů

Pomocí této funkce lze komprimovat a dekomprimovat soubory. Po spuštění se objeví dialog, ve kterém lze zadat cílové místo archivu nebo rozbalovaných souborů.

Pokud si uživatel rozmyslí komprimaci (či dekomprimaci) provádět, lze již zde přerušit operaci stisknutím tlačítka "Ne". Pokud se provádí komprimace, po stisku tlačítka "Ano" se následně objeví dialog, obsahující různé informace potřebné pro provedení komprimace souborů.

Do editačního pole lze zadat jméno nově vytvářeného archivu. Pod ním se nachází zaškrtávací tlačítka, která upřesňují způsob komprimace. Posledním "Vytvořit rozložený archiv" lze vytvořit komprimaci souborů a složek na více disket. Pokud toto pole není zaškrtnuto a provádí se komprimace příliš velkého souboru na disketu, dojde k chybě a komprimace nebude dokončena.
Přepínačemi "Komprese" lze nastavit sílu, s jakou bude komprimování souborů provedeno. V ohraničené části "Archivátory" lze zvolit, který z archivačních programů bude použit. Pokud není cesta k některému z nich nastavena v Nastavení FTP klienta, je příslušné pole deaktivováno a nelze jej použít.
Po potvrzení zadaných informací se začne provádět komprimace, po jejímž dokončení se automaticky začne testovat vytvořený archiv. Kompresi a dekompresi lze provádět mezi libovolnými okny (místní nebo vzdálený počítač).


Multirename tool

Nástroj pro hromadné přejmenování souborů a složek

Tento nástroj slouží k hromadnému řízenému přejmenování souborů a složek. Aktivovat jej lze z hlavního menu pod položkou "Nástroje". Před tím je však zapotřebí označit v libovolném aktivním okně s výpisem obsahu adresáře požadované řádky, které mají být přejmenovány.
Zobrazený dialog obsahuje v levé části seznam vybraných souborů a složek, který obsahuje původní a upravené názvy souborů a jejich přípon, velikosti souborů a datum jejich vytvoření. V dolní části dialogu je vypsána cesta k adresáři, v kterém se nacházejí přejmenovávané položky. V pravé části dialogu se nachází několik polí, ktreré umožňují nastavit požadovaný způsob přejmenování:
  • Maska nových souborů - zde se nachází vytvářená maska, podle které se vytvoří nové jméno souboru nebo složky. Pro její definování zde leží několik tlačítek.
    • Jméno (N) - jméno položky
    • Čítač (C) - jednotlivé řádky postupně očísluje od jedné
    • Datum (D) - k názvu řádku se přidá jeho datum vytvoření
    • Čas (T) - K názvu řádku se přidá jeho čas vytvoření
    • Šipka - smaže poslední položku masky
    Vliv masky na nová jména položek lze sledovat v levém seznamu dialogu. V tomto poli se zde též nachází políčka pro zadání pozic (Velikost od/do), které určují část původního jména položky, která má být použita při přejmenování.
  • Maska nových přípon - zde se nachází maska, která ovlivní tvar nových přípon jednotlivých souborů. V poli se nachází dvě tlačítka:
    • Přípona (E) - přípona souboru
    • Čítač (C) - jednotlivé přípony postupně očísluje od jedné
    Zadání pozic (Velikost od/do) má stejný účinek, jako v předchozím případě.
  • Najít & zaměnit - najde a zamění požadovaný řetězec ve jménech jednotlivých položek. Po zadání řetězců do editačních polí se operace provede až po stisku tlačítka "Použít". Výsledek lze opět sledovat v levém okně seznamu.
  • Velká & malá písmena - toto pole obsahuje přepínače pro zobrazení tvaru písem:
    • Neměnit - název položky nebudě měněn
    • Velká písmena - všechna písmena v nových jménech budou převedena na velká
    • Malá písmena - všechna písmena v nových jménech budou převedena na malá
    • První písmeno velké - Všechna nová jména položek budou mít první písmeno vleké.
Přejmenování položek podle definovaných masek se pak musí provést tlačítkem "Přejmenovávat". Zavřít dialog lze tlačítkem "Zavřít".


Packers

Nastavení FTP klienta - archivátory

V této kartě se nachází dvě karty pro definování externích archivačních programů:

V této kartě se nacházejí editační pole pro definování cesty k externím archivačním programům (Arj, Rar, Ace, Lzo). Cestu lze jednoduše zadat výběrem adresáře pomocí dialogu aktivovaného tlačítkem "...". Pokud je některá z cest zadána, po kliknutí na daný archivační soubor v okně s obsahem souborů a adresářů se pro výpis obsahu archivu použije externí archivační program. Stejně tak se aplikace pokusí použít komprimaci a dekomprimaci souborů.

Tato karta je podobná s předchozí. Je zde možné nastavit, zda aplikace bude používat svůj vlastní ZIP archivátor, nebo se bude používat externí - pomocí zaškrtávacího pole v části ZIP.


Expand selection

Rozšířený výběr souborů

Po stisku "*" v okně výpisu obsahu adresáře se objeví tento dialog, který umožňuje specifikovat výběr podle podrobnějších požadavků.
V dialogu jsou dva přepínače:
  • Typ souboru - do editačního pole lze zadat příponu nebo podřetězec, který mají mít v názvu označované soubory.
  • Definice - lze je seznam všech vytvořených definic uživatelem. Po vybrání příslušného řádku a stisku tlačítka "OK" se označí všechny řádky, které odpovídají zvolené definici.
    • V dolní části se nachází tlačítko "Definice", které aktivuje dialog definic. V tomto dialogu pak lze vytvářet vlastní definice.


Definitions

Definice

Definice obsahují uživatelem nadefinované požadavky pro výběr a hledání souborů. V horní části dialogu se nachází seznam všech vytvořených definic. Pod ním leží editační pole, které obsahuje položky zvolené definice. Jsou v něm vypsány - řetězec, který se musí nacházet ve jménu souboru, řetězec uvnitř souboru a zadané atributy.
Pod ním leží druhé editační pole, které je aktivní pouze při aktivaci definic z dialogu hledání souborů. Obsahuje položky určené v předchozím vyhledávacím dialogu.
Vytvořenou definici lze uložit, stejně tak lze odstranit definici ze seznamu, pokud je označena.